# ParameterDefinition

Definition of a single parameter for handlers.

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**type** | **string** |  | [default to undefined]
**required** | **boolean** |  | [optional] [default to false]
**_default** | [****](.md) |  | [optional] [default to undefined]
**help** | **string** |  | [optional] [default to undefined]

## Example

```typescript
import { ParameterDefinition } from '@vipr/api';

const instance: ParameterDefinition = {
    type,
    required,
    _default,
    help,
};
```

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)
